# DataExchange
TKIGES
IGESDimen

# IGESDimen_Array1OfGeneralNote Class Reference

`#include <IGESDimen_Array1OfGeneralNote.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESDimen_Array1OfGeneralNote (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESDimen_Array1OfGeneralNote (const Handle(IGESDimen_GeneralNote)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESDimen_GeneralNote)&V)
Standard_EXPORT void | Destroy ()
| ~IGESDimen_Array1OfGeneralNote ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESDimen_Array1OfGeneralNote & | Assign (const IGESDimen_Array1OfGeneralNote &Other)
const IGESDimen_Array1OfGeneralNote & | operator= (const IGESDimen_Array1OfGeneralNote &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESDimen_GeneralNote)&Value)
const Handle_IGESDimen_GeneralNote & | Value (const Standard_Integer Index) const
const Handle_IGESDimen_GeneralNote & | operator() (const Standard_Integer Index) const
Handle_IGESDimen_GeneralNote & | ChangeValue (const Standard_Integer Index)
Handle_IGESDimen_GeneralNote & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESDimen_Array1OfGeneralNote (const IGESDimen_Array1OfGeneralNote &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_Array1OfGeneralNote::IGESDimen_Array1OfGeneralNote | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESDimen_Array1OfGeneralNote::IGESDimen_Array1OfGeneralNote | ( | const Handle(IGESDimen_GeneralNote)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESDimen_Array1OfGeneralNote::~IGESDimen_Array1OfGeneralNote | ( |  | ) | `[inline]`

Standard_EXPORT IGESDimen_Array1OfGeneralNote::IGESDimen_Array1OfGeneralNote | ( | const IGESDimen_Array1OfGeneralNote & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESDimen_Array1OfGeneralNote& IGESDimen_Array1OfGeneralNote::Assign | ( | const IGESDimen_Array1OfGeneralNote & | Other | ) |

Handle_IGESDimen_GeneralNote& IGESDimen_Array1OfGeneralNote::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESDimen_Array1OfGeneralNote::Destroy | ( |  | ) |

Standard_EXPORT void IGESDimen_Array1OfGeneralNote::Init | ( | const Handle(IGESDimen_GeneralNote)& | V | ) |

Standard_Boolean IGESDimen_Array1OfGeneralNote::IsAllocated | ( |  | ) | const

Standard_Integer IGESDimen_Array1OfGeneralNote::Length | ( |  | ) | const

Standard_Integer IGESDimen_Array1OfGeneralNote::Lower | ( |  | ) | const

void IGESDimen_Array1OfGeneralNote::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESDimen_Array1OfGeneralNote::operator new | ( | size_t | size | ) | `[inline]`

void* IGESDimen_Array1OfGeneralNote::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESDimen_GeneralNote& IGESDimen_Array1OfGeneralNote::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESDimen_GeneralNote& IGESDimen_Array1OfGeneralNote::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESDimen_Array1OfGeneralNote& IGESDimen_Array1OfGeneralNote::operator= | ( | const IGESDimen_Array1OfGeneralNote & | Other | ) | `[inline]`

void IGESDimen_Array1OfGeneralNote::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESDimen_GeneralNote)& | Value
| ) |

Standard_Integer IGESDimen_Array1OfGeneralNote::Upper | ( |  | ) | const

const Handle_IGESDimen_GeneralNote& IGESDimen_Array1OfGeneralNote::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESDimen_Array1OfGeneralNote::isAllocated `[private]`

Standard_Integer IGESDimen_Array1OfGeneralNote::myLowerBound `[private]`

Standard_Address IGESDimen_Array1OfGeneralNote::myStart `[private]`

Standard_Integer IGESDimen_Array1OfGeneralNote::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_Array1OfGeneralNote.hxx